/**
 * @file 
 * @brief This module parameterizes a Omicron release.
 * @author Florent Robinet - <a href="mailto:florent.robinet@ijclab.in2p3.fr">florent.robinet@ijclab.in2p3.fr</a>
 */
#ifndef __Oconfig__
#define __Oconfig__

#include <CUtils.h>

using namespace std;

/**
 * @brief Project version number.
 */
#define O_PROJECT_NAME "Omicron"

/**
 * @brief Project version number.
 */
#define O_PROJECT_VERSION "3.1.0"

/**
 * @brief Prints the version number.
 */
inline void PrintVersion(void){
  cout<<(string)O_PROJECT_NAME<<" "<<(string)O_PROJECT_VERSION<<endl;
}

/**
 * @brief Prints the ASCII logo.
 */
////////////////////////////////////////////////////////////////////////////////////
inline void PrintAsciiLogo(void){
////////////////////////////////////////////////////////////////////////////////////

  cout<<endl;
  cout<<endl;
  cout<<"##############################################################"<<endl;
  cout<<"##############################################################"<<endl;
  cout<<endl;
  cout<<"   ██████╗ ███╗   ███╗██╗ ██████╗██████╗  ██████╗ ███╗   ██╗"<<endl;
  cout<<"  ██╔═══██╗████╗ ████║██║██╔════╝██╔══██╗██╔═══██╗████╗  ██║"<<endl;
  cout<<"  ██║   ██║██╔████╔██║██║██║     ██████╔╝██║   ██║██╔██╗ ██║"<<endl;
  cout<<"  ██║   ██║██║╚██╔╝██║██║██║     ██╔══██╗██║   ██║██║╚██╗██║"<<endl;
  cout<<"  ╚██████╔╝██║ ╚═╝ ██║██║╚██████╗██║  ██║╚██████╔╝██║ ╚████║"<<endl;
  cout<<"   ╚═════╝ ╚═╝     ╚═╝╚═╝ ╚═════╝╚═╝  ╚═╝ ╚═════╝ ╚═╝  ╚═══╝"<<endl;
  cout<<"                                                    "<<(string)O_PROJECT_VERSION<<endl;
  cout<<"##############################################################"<<endl;
  cout<<"##############################################################"<<endl;
  cout<<endl;
  cout<<endl;

  return;
}

#endif


